/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-04 08:57:05
 */
import request from '@/utilsRc/request'

// 查询角色列表
export function listPolicyConsultation(query) {
  return request({
    url: '/process/processPolicyConsult/list',
    method: 'get',
    params: query
  })
}

// 查询角色详细
export function getPolicyConsultation(ids) {
  return request({
    url: '/process/processPolicyConsult/' + ids,
    method: 'get'
  })
}

// 新增角色
export function addPolicyConsultation(data) {
  return request({
    url: '/process/processPolicyConsult',
    method: 'post',
    data: data
  })
}

// 修改角色
export function updatePolicyConsultation(data) {
  return request({
    url: '/process/processPolicyConsult',
    method: 'put',
    data: data
  })
}

// 删除角色
export function delPolicyConsultation(ids) {
  return request({
    url: '/process/processPolicyConsult/' + ids,
    method: 'delete'
  })
}
